Subject: [Int-area] Main change in draft-ietf-intarea-provisioning-domains-03: connection sharing

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 24 Oct 2018 09:51:19 +0000

The authors of this draft would like to have some discussions even before the INTAREA WG meeting in two weeks. Especially on the major change about connection sharing (tethering) where the authors spent several hours on it.

See all differences in: https://tools.ietf.org/rfcdiff?url2=draft-ietf-intarea-provisioning-domains-03.txt

The section 3.4.3 is about “Connection Sharing by the Host” and currently is:

------- start --------

   The situation when a host shares connectivity from an upstream

   interface (e.g. cellular) to a downstream interface (e.g.  WiFi) is

   known as 'tethering'.  Techniques such as ND-proxy [RFC4389<https://tools.ietf.org/html/rfc4389>], 64share

   [RFC7278<https://tools.ietf.org/html/rfc7278>] or prefix delegation (e.g. using DHCPv6-PD [RFC3633<https://tools.ietf.org/html/rfc3633>]) may

   be used for that purpose.

   Whenever the RAs received from the upstream interface contain a PVD

   RA option, hosts that are sharing connectivity SHOULD include a PVD

   Option within the RAs sent downstream with:

      The same PVD-ID FQDN.

      The same H-bit, Delay and Sequence Number values.

      The L bit set whenever the host is sharing IPv4 connectivity

      received from the same upstream interface.

      The bits from the Reserved field set to 0.

   The values of the R-bit, Router Advertisement message header and

   Options field depend on whether the connectivity should be shared

   only with PvD aware hosts or not (see Section 3.2<https://tools.ietf.org/html/draft-ietf-intarea-provisioning-domains-03#section-3.2>).  In particular,

   all options received within the upstream PvD option and included in

   the downstream RA SHOULD be included in the downstream PvD option.
---- end ----

Comments are welcome before, during and after the WG meeting

-éric for all authors

---

From: Ted Lemon <[email-masked]>
Date: Wed, 24 Oct 2018 09:18:57 -0400

FYI this document is being referenced now by the Homenet Naming
Architecture Document, in the Resolution section.   Question:

>    only with PvD aware hosts or not (see Section 3.2 <https://tools.ietf.org/html/draft-ietf-intarea-provisioning-domains-03#section-3.2>).
>
> How does the host sharing connectivity know whether or not it will be
shared only with PvD-aware hosts?

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 24 Oct 2018 14:45:36 +0000

Ted

Thank you for your FYI

The text is indeed ambiguous. Your question makes its ambiguity clear. It should read as “... depend on whether the host wants to share its connectivity only with PvD-aware hosts.”

Does it sound better?

-éric

From: Ted Lemon <[email-masked]>
Date: Wednesday, 24 October 2018 at 15:19
To: Eric Vyncke <[email-masked]>
Cc: int-area <[email-masked]>
Subject: Re: [Int-area] Main change in draft-ietf-intarea-provisioning-domains-03: connection sharing

FYI this document is being referenced now by the Homenet Naming Architecture Document, in the Resolution section.   Question:

   only with PvD aware hosts or not (see Section 3.2<https://tools.ietf.org/html/draft-ietf-intarea-provisioning-domains-03#section-3.2>).
How does the host sharing connectivity know whether or not it will be shared only with PvD-aware hosts?

---

From: Ted Lemon <[email-masked]>
Date: Wed, 24 Oct 2018 15:59:17 -0400

No, it doesn't.   I think that you are assuming that the reader is more
with you than I'm able to be.   Can you break it apart into alternatives
which the host might be trying to implement, and completely describe each
alternative?   Then perhaps we can optimize from there.   :)

On Wed, Oct 24, 2018 at 10:45 AM Eric Vyncke (evyncke) <[email-masked]>
wrote:

> Ted
>
>
>
> Thank you for your FYI
>
>
>
> The text is indeed ambiguous. Your question makes its ambiguity clear. It
> should read as “... depend on whether the host wants to share its
> connectivity only with PvD-aware hosts.”
>
>
>
> Does it sound better?
>
>
>
> -éric
>
>
>
> *From: *Ted Lemon <[email-masked]>
> *Date: *Wednesday, 24 October 2018 at 15:19
> *To: *Eric Vyncke <[email-masked]>
> *Cc: *int-area <[email-masked]>
> *Subject: *Re: [Int-area] Main change in
> draft-ietf-intarea-provisioning-domains-03: connection sharing
>
>
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 25 Oct 2018 10:58:20 +0200

Le 24/10/2018 à 11:51, Eric Vyncke (evyncke) a écrit :
> The authors of this draft would like to have some discussions even 
> before the INTAREA WG meeting in two weeks. Especially on the major 
> change about connection sharing (tethering) where the authors spent 
> several hours on it.
> 
> See all differences in: 
> https://tools.ietf.org/rfcdiff?url2=draft-ietf-intarea-provisioning-domains-03.txt
> 
>     known as 'tethering'.  Techniques such as ND-proxy [RFC4389 
> <https://tools.ietf.org/html/rfc4389>], 64share
> 
>     [RFC7278 <https://tools.ietf.org/html/rfc7278>] or prefix delegation 
> (e.g. using DHCPv6-PD [RFC3633 <https://tools.ietf.org/html/rfc3633>]) may
> 

I am not sure it is possible to 'share' IPv4 connectivity, in the same 
manner like sharing IPv6 connectivity.

There are no PVDs in IPv4, the 'sharing' is with NAT/DHCP, etc.

To achieve the same effect in IPv4 as in IPv6 (propagate info from 
upstream RA to downstream RA) one may need to specify:

- set in DHCP Advertise sent downstream the same DNS server as received
   in the DHCP Advertise from upstream.

Or maybe I dont understand the meaning of the L bit.  And I have to read 
the draft.

Alex

>     only with PvD aware hosts or not (see Section 3.2 
> <https://tools.ietf.org/html/draft-ietf-intarea-provisioning-domains-03#section-3.2>).  
> In particular,
> 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area
>